Bug 492177 - monitoring, unable to successfully push scout config
monitoring, unable to successfully push scout config
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
wes hayutin
https://fjs-0-03.rhndev.redhat.com/ne...
:
Depends On:
Blocks: space06
  Show dependency treegraph
 
Reported: 2009-03-25 14:31 EDT by wes hayutin
Modified: 2009-09-10 08:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 08:00:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spacewalk debug (2.24 MB, application/x-bzip2)
2009-03-25 14:31 EDT, wes hayutin
no flags Details

  None (edit)
Description wes hayutin 2009-03-25 14:31:52 EDT
Created attachment 336687 [details]
spacewalk debug

Description of problem:
monitoring, unable to successfully push scout config

recreate:
Server:
1. Login as Sat admin
2. Enable Monitoring,  under Admin -> Spacewalk/RHN Configuration, check Enable Monitoring, click Update
3. Enable Monitoring Scout, under Admin -> Spacewalk/RHN Configuration -> Monitoring, check Enable Monitoring Scout, click Update Config
4. Restart Spacewalk/RHN Satellite
5. Make sure /etc/init.d/Monitoring is started
6. From the server, su - nocpulse, scp the .ssh/nocpulse-identity.pub root@client:/tmp 
7. This same key can also be found at Monitoring -> Scout Config Push -> RHN Monitoring Satellite

Client:
5. Register a client, enable monitoring on the client
6. Alter system channel membership to include RHN Network Tools
7. Install rhnmd package on client and do service rhnmd start.
8. On the client, su - nocpulse, cat /tmp/nocpulse-identity.pub >> /opt/nocpulse/.ssh/authorized_keys
9. restart the rhnmd, /etc/init.d/rhnmd restart 

WebUI:
10. Monitoring -> Scout Config Push Page, and push the "RHN Monitoring Scout" 
11. Wait for the request to be completed.. 20 seconds or so.



attached is the spacewalk-debug info
Comment 1 Miroslav Suchý 2009-07-03 11:32:27 EDT
This should work now.
Comment 2 Miroslav Suchý 2009-09-10 08:00:49 EDT
Spacewalk 0.6 released.

Note You need to log in before you can comment on or make changes to this bug.